
# soname breaks, don't run libtoolize
%define __libtoolize    /bin/true

Summary: 	Window manager for XFce.
Name: 		xfwm
Version: 	4.0.3.1
Release: 	1mdk
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}4-%{version}.tar.bz2
Source1:	%{name}4-4.0.0-galaxytheme.tar.bz2
Patch0:		%{name}4-4.0.1-galaxy.patch.bz2
Group: 		Graphical desktop/Other
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-mcs-manager >= 4.0.3
BuildRequires:	xfce-mcs-manager-devel >= 4.0.3
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	startup-notification-devel
BuildRequires:	autoconf2.5

%description
XFwm is a window manager made for use with XFce.

%prep
%setup -q -n %{name}4-%{version}
# unpack galaxy theme
%setup -q -n %{name}4-%{version} -T -D -a1
# install galaxy theme as default
%patch0 -p1 -b .galaxy

%build
# regenerate configure script for galaxy theme
WANT_AUTOCONF_2_5=1 autoconf
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}4

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}4.lang
%defattr(-,root,root)
%doc example.xfwm4rc example.gtkrc-2.0 README TODO COPYING AUTHORS
%{_bindir}/*
%{_libdir}/*
%dir %{_datadir}/xfwm4
%{_datadir}/xfwm4/*
%{_datadir}/xfce4/doc


%changelog
* Fri Jan 16 2004 Marcel Pol <mpol@mandrake.org> 4.0.3.1-1mdk
- 4.0.3.1

* Sun Jan 11 2004 Marcel Pol <mpol@mandrake.org> 4.0.3-2mdk
- own dir (distlint)

 * Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1
- include galaxy theme as default

* Tue Nov 11 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package

